- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_change_property_request_t Struct Reference
[XCB API]

xcb_change_property_request_t More...

`#include <xproto.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | mode
uint16_t | length
xcb_window_t | window
xcb_atom_t | property
xcb_atom_t | type
uint8_t | format
uint8_t | pad0 [3]
uint32_t | data_len

## Detailed Description

xcb_change_property_request_t

## Field Documentation

uint8_t xcb_change_property_request_t::major_opcode

uint8_t xcb_change_property_request_t::mode

uint16_t xcb_change_property_request_t::length

xcb_window_t xcb_change_property_request_t::window

xcb_atom_t xcb_change_property_request_t::property

xcb_atom_t xcb_change_property_request_t::type

uint8_t xcb_change_property_request_t::format

uint8_t xcb_change_property_request_t::pad0[3]

uint32_t xcb_change_property_request_t::data_len

The documentation for this struct was generated from the following file:

- xproto.h